[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.OnValidate

Event to validate the value of a field before it is written to the data buffer

## Declaration

Source position: db.pas line 467

`published property TField.OnValidate : TFieldNotifyEvent read FOnValidate write FOnValidate;`

## Description

OnValidate is called prior to writing a new field value to the dataset's data buffer. It can be used to prevent writing the new value to the buffer by raising an exception in the event handler. Note that this event handler is always called, irrespective of the way the value of the field is set.

## See also

TField.Text |  | Text representation of the field
TField.OnGetText |  | Event to format the field's content
TField.OnSetText |  | Event to set the field's content based on a user-formatted string
TField.OnChange |  | Event triggered when the field's value has changed